# Uses of Class
org.bukkit.util.EulerAngle

Packages that use EulerAngle
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.util
Multi and single purpose classes to facilitate various programmatic concepts.

## Uses of EulerAngle in org.bukkit.entity

Methods in org.bukkit.entity that return EulerAngle
Modifier and Type
Method
Description
`@NotNull EulerAngle`
ArmorStand.`getBodyPose()`
Returns the armor stand's body's current pose as a `EulerAngle`.
`@NotNull EulerAngle`
ArmorStand.`getHeadPose()`
Returns the armor stand's head's current pose as a `EulerAngle`.
`@NotNull EulerAngle`
ArmorStand.`getLeftArmPose()`
Returns the armor stand's left arm's current pose as a `EulerAngle`.
`@NotNull EulerAngle`
ArmorStand.`getLeftLegPose()`
Returns the armor stand's left leg's current pose as a `EulerAngle`.
`@NotNull EulerAngle`
ArmorStand.`getRightArmPose()`
Returns the armor stand's right arm's current pose as a `EulerAngle`.
`@NotNull EulerAngle`
ArmorStand.`getRightLegPose()`
Returns the armor stand's right leg's current pose as a `EulerAngle`.
Methods in org.bukkit.entity with parameters of type EulerAngle
Modifier and Type
Method
Description
`void`
ArmorStand.`setBodyPose(@NotNull EulerAngle pose)`
Sets the armor stand's body's current pose as a `EulerAngle`.
`void`
ArmorStand.`setHeadPose(@NotNull EulerAngle pose)`
Sets the armor stand's head's current pose as a `EulerAngle`.
`void`
ArmorStand.`setLeftArmPose(@NotNull EulerAngle pose)`
Sets the armor stand's left arm's current pose as a `EulerAngle`.
`void`
ArmorStand.`setLeftLegPose(@NotNull EulerAngle pose)`
Sets the armor stand's left leg's current pose as a `EulerAngle`.
`void`
ArmorStand.`setRightArmPose(@NotNull EulerAngle pose)`
Sets the armor stand's right arm's current pose as a `EulerAngle`.
`void`
ArmorStand.`setRightLegPose(@NotNull EulerAngle pose)`
Sets the armor stand's right leg's current pose as a `EulerAngle`.

## Uses of EulerAngle in org.bukkit.util

Fields in org.bukkit.util declared as EulerAngle
Modifier and Type
Field
Description
`static final EulerAngle`
EulerAngle.`ZERO`
A EulerAngle with every axis set to 0
Methods in org.bukkit.util that return EulerAngle
Modifier and Type
Method
Description
`@NotNull EulerAngle`
EulerAngle.`add(double x, double y, double z)`
Creates a new EulerAngle which is the result of adding the x, y, z components to this EulerAngle
`@NotNull EulerAngle`
EulerAngle.`setX(double x)`
Return a EulerAngle which is the result of changing the x axis to the passed angle
`@NotNull EulerAngle`
EulerAngle.`setY(double y)`
Return a EulerAngle which is the result of changing the y axis to the passed angle
`@NotNull EulerAngle`
EulerAngle.`setZ(double z)`
Return a EulerAngle which is the result of changing the z axis to the passed angle
`@NotNull EulerAngle`
EulerAngle.`subtract(double x, double y, double z)`
Creates a new EulerAngle which is the result of subtracting the x, y, z components to this EulerAngle